Bug 8399 - Prepare ROSA Desktop Fresh R10 Plasma 5 release
: Prepare ROSA Desktop Fresh R10 Plasma 5 release
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on: 8426
Blocks:
  Show dependency treegraph
 
Reported: 2017-10-10 13:59 MSD by Andrey Bondrov
Modified: 2017-12-04 21:11 MSK (History)
4 users (show)

See Also:
RPM Package: iso
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
png (1.59 MB, application/gzip)
2017-10-14 19:05 MSD, Vladimir Potapov
Details
ss1 (204.99 KB, image/png)
2017-10-28 17:47 MSD, Vladimir Potapov
Details
ss2 (252.36 KB, image/png)
2017-10-28 17:50 MSD, Vladimir Potapov
Details
ss3 (219.96 KB, image/png)
2017-10-28 17:53 MSD, Vladimir Potapov
Details
ss4 (212.76 KB, image/png)
2017-10-28 17:55 MSD, Vladimir Potapov
Details
ss5 (115.85 KB, image/png)
2017-10-28 17:58 MSD, Vladimir Potapov
Details
ss6 (223.44 KB, image/png)
2017-10-28 18:06 MSD, Vladimir Potapov
Details
ss7 (387.45 KB, image/png)
2017-11-01 19:02 MSK, Vladimir Potapov
Details
ss8 (186.49 KB, image/jpeg)
2017-11-02 07:08 MSK, Vladimir Potapov
Details
ss9 (165.77 KB, image/jpeg)
2017-11-02 07:10 MSK, Vladimir Potapov
Details
ss10 (166.11 KB, image/jpeg)
2017-11-02 07:12 MSK, Vladimir Potapov
Details
Do-not-make-lack-of-SSE2-support-on-x86-32-fatal.patch (3.76 KB, patch)
2017-11-05 16:46 MSK, VictorR2007
Details
ss (187.18 KB, image/jpeg)
2017-11-28 18:30 MSK, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2017-10-10 13:59:00 MSD
We need to prepare R10 Plasma 5 ISOs.
Comment 1 Andrey Bondrov 2017-10-10 14:01:01 MSD
Advisory: "Change branding to R10"

branding-configs:
https://abf.rosalinux.ru/build_lists/2899823
https://abf.rosalinux.ru/build_lists/2899824

Advisory: "Use ROSA-5 window decoration by default"

plasma5-config-fresh:
https://abf.rosalinux.ru/build_lists/2899825
https://abf.rosalinux.ru/build_lists/2899826
Comment 2 Andrey Bondrov 2017-10-11 09:03:19 MSD
Advisory: "Fix user switching and use ROSA-5 window decoration by default"

plasma5-look-and-feel-rosa-fresh:
https://abf.rosalinux.ru/build_lists/2899963
https://abf.rosalinux.ru/build_lists/2899964
Comment 3 Vladimir Potapov 2017-10-14 19:05:18 MSD
Created attachment 4738 [details]
png

There is idea- change installer's images for new, actually for add DE's, not only KDE
Comment 4 Andrey Bondrov 2017-10-15 07:44:36 MSD
(In reply to comment #3)
> Created attachment 4738 [details]
> png
> 
> There is idea- change installer's images for new, actually for add DE's, not
> only KDE

But then we need both Russian and English images.
Comment 5 Vladimir Potapov 2017-10-16 11:02:54 MSD
fox for NM
https://vk.com/rosa_linux?w=wall-33847957_212845%2Fall
Comment 6 Andrey Bondrov 2017-10-16 15:43:57 MSD
(In reply to comment #5)
> fox for NM
> https://vk.com/rosa_linux?w=wall-33847957_212845%2Fall

Advisory: "Add wifi.scan-rand-mac-address=no to default config"

https://abf.rosalinux.ru/build_lists/2900342
https://abf.rosalinux.ru/build_lists/2900343
Comment 7 Andrey Bondrov 2017-10-23 19:57:06 MSD
(In reply to comment #6)
> (In reply to comment #5)
> > fox for NM
> > https://vk.com/rosa_linux?w=wall-33847957_212845%2Fall
> 
> Advisory: "Add wifi.scan-rand-mac-address=no to default config"
> 
> https://abf.rosalinux.ru/build_lists/2900342
> https://abf.rosalinux.ru/build_lists/2900343

Moved to individual bug: http://bugs.rosalinux.ru/show_bug.cgi?id=8426
Comment 8 Andrey Bondrov 2017-10-25 11:31:31 MSD
Please test ISOs:

32 bit non-UEFI: https://abf.rosalinux.ru/platforms/rosa2016.1/products/182/product_build_lists/20215

64 bit UEFI: https://abf.rosalinux.ru/platforms/rosa2016.1/products/182/product_build_lists/20214

It's not RC ISOs. Just check they boot and install after we switched from cdrkit to cdrtools.
Comment 9 Vladimir Potapov 2017-10-27 08:36:20 MSD
I suggest adding:
nano

from task-codecs:
a52dec
libvisual-plugins
libvisual0.4_0
mpeg2dec
twolame
gpac
libgpac6

for vaapi-vdpau (libs present)
vaapi-driver-vdpau
libva-utils (for vainfo)
libvdpau_va_gl1  (vaapi wrapper for vdpau)
vdpauinfo
Comment 10 Andrey Bondrov 2017-10-27 10:41:09 MSD
(In reply to comment #9)
> I suggest adding:
> nano
> 
> from task-codecs:
> a52dec
> libvisual-plugins
> libvisual0.4_0
> mpeg2dec
> twolame
> gpac
> libgpac6
> 
> for vaapi-vdpau (libs present)
> vaapi-driver-vdpau
> libva-utils (for vainfo)
> libvdpau_va_gl1  (vaapi wrapper for vdpau)
> vdpauinfo

Done, added them to Plasma 5 and KDE 4 lists.
Comment 12 Vladimir Potapov 2017-10-28 17:47:50 MSD
Created attachment 4745 [details]
ss1

localization issue
Comment 13 Vladimir Potapov 2017-10-28 17:50:11 MSD
Created attachment 4746 [details]
ss2

localization issue
Comment 14 Vladimir Potapov 2017-10-28 17:53:38 MSD
Created attachment 4747 [details]
ss3

localization issue
Comment 15 Vladimir Potapov 2017-10-28 17:55:38 MSD
Created attachment 4748 [details]
ss4

Theme issue (see tray pop-up window)
Comment 16 Vladimir Potapov 2017-10-28 17:58:49 MSD
Created attachment 4749 [details]
ss5
Comment 17 Vladimir Potapov 2017-10-28 18:06:40 MSD
Created attachment 4750 [details]
ss6

Localization issue
Comment 18 Vladimir Potapov 2017-10-28 19:18:43 MSD
Предлагаю добавить в образ конфиг с пустым паролем для кваллета, т.к. многие пользователи плазмы жалуются (кто с вайфаем сидит) на то, что все время пароль требует.
Comment 19 Andrey Bondrov 2017-11-01 17:49:32 MSK
Пакеты KDE Applications 17.08.2:
http://abf-downloads.rosalinux.ru/kde5_backports_personal/repository/rosa2016.1/

Надо проверить, как они вообще работают. И не исправлены ли там упомянутые выше проблемы локализации.
Comment 20 Vladimir Potapov 2017-11-01 19:02:37 MSK
Created attachment 4751 [details]
ss7

вот такая странная картинка при обновлении из бэкпортов в графике. 
Пакеты типа есть но их типа нету.
Comment 21 Vladimir Potapov 2017-11-01 19:28:41 MSK
(In reply to comment #19)
> Надо проверить, как они вообще работают. И не исправлены ли там упомянутые
> выше проблемы локализации.
На первый взгляд все работает. Ошибки локализации не исправлены.
Comment 22 Andrey Bondrov 2017-11-02 04:10:19 MSK
(In reply to comment #13)
> Created attachment 4746 [details]
> ss2
> 
> localization issue

Advisory: "Update Russian translation for kconfigwidgets to fix Gwenview and likely some other applications localization"

https://abf.rosalinux.ru/build_lists/2907703
https://abf.rosalinux.ru/build_lists/2907704
Comment 23 Andrey Bondrov 2017-11-02 05:08:55 MSK
(In reply to comment #14)
> Created attachment 4747 [details]
> ss3
> 
> localization issue

Fixed in kolourpaint 17.08.2-2 in KDE5 backports repository.
Comment 24 VictorR2007 2017-11-02 06:01:43 MSK
(In reply to comment #12)
> Created attachment 4745 [details]
> ss1
> 
> localization issue

Исправлено в KDE5 backports.
Comment 25 Vladimir Potapov 2017-11-02 07:08:14 MSK
Created attachment 4752 [details]
ss8

Another localization issue (very noticeable)
Comment 26 Vladimir Potapov 2017-11-02 07:10:12 MSK
Created attachment 4753 [details]
ss9

Calendar's tip localization issue
Comment 27 Vladimir Potapov 2017-11-02 07:12:17 MSK
Created attachment 4754 [details]
ss10

No icon and localization issue
Comment 28 Vladimir Potapov 2017-11-02 07:16:44 MSK
Виджет "Прогноз погоды" полностью нерабочий.
Comment 29 Andrey Bondrov 2017-11-02 08:17:39 MSK
(In reply to comment #17)
> Created attachment 4750 [details]
> ss6
> 
> Localization issue

Advisory: "Update Russian translation for plasma5-kwin to fix missing KCM Touch Screen localization"

https://abf.rosalinux.ru/build_lists/2907707
https://abf.rosalinux.ru/build_lists/2907708
Comment 30 Andrey Bondrov 2017-11-02 08:43:56 MSK
(In reply to comment #25)
> Created attachment 4752 [details]
> ss8
> 
> Another localization issue (very noticeable)

Advisory: "Update save actions translations for ktexteditor-kf5"

https://abf.rosalinux.ru/build_lists/2907717
https://abf.rosalinux.ru/build_lists/2907718
Comment 31 Andrey Bondrov 2017-11-02 10:42:16 MSK
(In reply to comment #26) (In reply to comment #27)
> ss9
> Calendar's tip localization issue
> ss10
> No icon and localization issue

In fact, that's the correct AppMenu icon. It's a replacement for classic "File", "Edit" etc type menu. That's why it looks like that.

Advisory: "Update translations for some widgets from plasma5-workspace"

https://abf.rosalinux.ru/build_lists/2907727
https://abf.rosalinux.ru/build_lists/2907728
Comment 32 Andrey Bondrov 2017-11-02 10:44:15 MSK
(In reply to comment #28)
> Виджет "Прогноз погоды" полностью нерабочий.

Не то что совсем. Сегфолтится при добавлении источника данных. С KF 5.39 тоже сегфолтится, но значительно реже. Только KF 5.39 - это глючная версия, а 5.40 ещё не выпустили.
Comment 33 Vladimir Potapov 2017-11-02 12:18:41 MSK
(In reply to comment #32)
> (In reply to comment #28)
> > Виджет "Прогноз погоды" полностью нерабочий.
> 
> Не то что совсем. Сегфолтится при добавлении источника данных. С KF 5.39
> тоже сегфолтится, но значительно реже. Только KF 5.39 - это глючная версия,
> а 5.40 ещё не выпустили.
Может, выкинуть его или на что-то заменить?
Comment 34 Andrey Bondrov 2017-11-02 12:20:47 MSK
(In reply to comment #33)
> > Не то что совсем. Сегфолтится при добавлении источника данных. С KF 5.39
> > тоже сегфолтится, но значительно реже. Только KF 5.39 - это глючная версия,
> > а 5.40 ещё не выпустили.
> Может, выкинуть его или на что-то заменить?

Он в ноябре с обновлениями починится. Лучше пусть уж будет.
Comment 35 Andrey Bondrov 2017-11-04 18:28:32 MSK
Advisory: "Backport upstream fix for QTBUG-61754 (huge memory leak in plasmashell)"

qt5-qtdeclarative:
https://abf.rosalinux.ru/build_lists/2908746
https://abf.rosalinux.ru/build_lists/2908747
Comment 36 Vladimir Potapov 2017-11-05 14:13:34 MSK
похоже, это https://vk.com/rospo_surok?w=wall-155670935_6
Comment 37 Andrey Bondrov 2017-11-05 15:35:05 MSK
(In reply to comment #36)
> похоже, это https://vk.com/rospo_surok?w=wall-155670935_6

Не совсем, но рядом. Я на эти баги наткнулся на одном компе, но если утечки памяти пропатченный qt5-qtdeclarative исправил, то чрезмерную загрузку процессора нет. С этим ещё пытаюсь разобраться.
Comment 38 VictorR2007 2017-11-05 16:46:04 MSK
Created attachment 4755 [details]
Do-not-make-lack-of-SSE2-support-on-x86-32-fatal.patch

(In reply to comment #37)
> Не совсем, но рядом. Я на эти баги наткнулся на одном компе, но если утечки
> памяти пропатченный qt5-qtdeclarative исправил, то чрезмерную загрузку
> процессора нет. С этим ещё пытаюсь разобраться.
Андрей, а тут https://origin.archive.neon.kde.org/dev/unstable/pool/main/q/qtdeclarative-opensource-src/?C=M;O=D собирают qt5-qtdeclarative с патчем Do-not-make-lack-of-SSE2-support-on-x86-32-fatal.patch
Патч аж от 12 Oct 2015. И до сих пор не выкидывают. Прикреплю сюда, вдруг захочешь посмотреть.
Comment 39 Andrey Bondrov 2017-11-05 17:30:49 MSK
(In reply to comment #38)
> Do-not-make-lack-of-SSE2-support-on-x86-32-fatal.patch
> Патч аж от 12 Oct 2015. И до сих пор не выкидывают. Прикреплю сюда, вдруг
> захочешь посмотреть.

А я знаю этот патч, в Федоре он тоже есть. Но вроде как на практике мы ещё не сталкивались со случаями, когда он мог бы пригодиться. Впрочем, можно и добавить.
Comment 40 Vladimir Potapov 2017-11-05 18:12:53 MSK
(In reply to comment #35)
> Advisory: "Backport upstream fix for QTBUG-61754 (huge memory leak in
> plasmashell)"
> 
> qt5-qtdeclarative:
> https://abf.rosalinux.ru/build_lists/2908746
> https://abf.rosalinux.ru/build_lists/2908747

Проблему не смог воспроизвести, но это обновление у меня на нвидии в в виртуалке ничего не ломает.
Comment 41 Andrey Bondrov 2017-11-05 19:49:36 MSK
(In reply to comment #40)
> > qt5-qtdeclarative:
> > https://abf.rosalinux.ru/build_lists/2908746
> > https://abf.rosalinux.ru/build_lists/2908747
> 
> Проблему не смог воспроизвести, но это обновление у меня на нвидии в в
> виртуалке ничего не ломает.

Опубликовал.
Comment 42 Andrey Bondrov 2017-11-07 05:48:34 MSK
Надо ещё обновление Qt 5.9.2 проверить поскорее (у меня на первый взгляд всё ок - Plasma 5 и LXQt запускаются, никаких проблем в работе не вылезло):

http://abf-downloads.rosalinux.ru/qt5_backports_personal/repository/rosa2016.1/
Comment 43 Vladimir Potapov 2017-11-07 16:59:27 MSK
(In reply to comment #42)
> Надо ещё обновление Qt 5.9.2 проверить поскорее (у меня на первый взгляд всё
> ок - Plasma 5 и LXQt запускаются, никаких проблем в работе не вылезло):
> 
> http://abf-downloads.rosalinux.ru/qt5_backports_personal/repository/rosa2016.
> 1/
Проверил, регрессий не нашел, прогрессий, правда, тоже. В виртуалке с плазмоидами так загрузка процессора и 100% (половина - плазмашелл)
Comment 44 Andrey Bondrov 2017-11-20 15:35:24 MSK
Advisory: "Change branding to R10. Add new HTML pages"

branding-configs:
https://abf.io/build_lists/2913405
https://abf.io/build_lists/2913406

Advisory: "Use ROSA-5 window decoration by default"

plasma5-config-fresh:
https://abf.io/build_lists/2913407
https://abf.io/build_lists/2913408

Advisory: "Fix user switching and use ROSA-5 window decoration by default"

plasma5-look-and-feel-rosa-fresh:
https://abf.io/build_lists/2913409
https://abf.io/build_lists/2913410
Comment 45 Алзим 2017-11-21 22:22:07 MSK
Огнелис с настройками для новых страничек.

Firefox 56.0.2-2
https://abf.io/build_lists/2913493
https://abf.io/build_lists/2913494

l10n
https://abf.io/build_lists/2913521
https://abf.io/build_lists/2913522

Добавил сюда, т.к. без нового branding-configs оно не нужно.
Comment 46 Алзим 2017-11-22 12:55:59 MSK
Обновлённый Хромиум + новая страничка приветствия. 
https://abf.io/build_lists/2913491
https://abf.io/build_lists/2913492
Comment 47 Vladimir Potapov 2017-11-23 12:24:38 MSK
plasma crash on resume https://linux-hardware.org/index.php?probe=2d61a6dc38
Comment 48 Vladimir Potapov 2017-11-23 17:47:33 MSK
new branding
https://abf.io/build_lists/2913628
https://abf.io/build_lists/2913629
Comment 49 Vladimir Potapov 2017-11-23 19:14:57 MSK
extra new branding :-)
https://abf.io/build_lists/2913640
https://abf.io/build_lists/2913641
Comment 50 Алзим 2017-11-23 19:56:36 MSK
Updated firefox.cfg 

Firefox 56.0.2-3
https://abf.io/build_lists/2913624
https://abf.io/build_lists/2913625

Firefox-l10n 56.0.2-3
https://abf.io/build_lists/2913654
https://abf.io/build_lists/2913655
Comment 55 Vladimir Potapov 2017-11-27 17:24:03 MSK
(In reply to comment #54)
> KDE 4 R10 RC ISOs:
> 
> 32:
> https://abf.rosalinux.ru/platforms/rosa2016.1/products/190/
> product_build_lists/20507
> 64:
> https://abf.rosalinux.ru/platforms/rosa2016.1/products/190/
> product_build_lists/20508
Skype-install need update to new skype version (64 only)
Comment 56 Andrey Bondrov 2017-11-28 12:58:46 MSK
(In reply to comment #55)
> Skype-install need update to new skype version (64 only)

KDE 4 R10 RC2 ISOs:

32: https://abf.rosalinux.ru/platforms/rosa2016.1/products/190/product_build_lists/20520
64: https://abf.rosalinux.ru/platforms/rosa2016.1/products/190/product_build_lists/20523
Comment 57 Vladimir Potapov 2017-11-28 18:30:38 MSK
Created attachment 4771 [details]
ss

pink design? :-)
Comment 58 Andrey Bondrov 2017-11-28 18:50:28 MSK
(In reply to comment #57)
> Created attachment 4771 [details]
> ss
> 
> pink design? :-)

Looks like it's new official k3b theme called "Quant".
Comment 59 Vladimir Potapov 2017-11-28 19:18:55 MSK
The update is sent to expanded testing
*****************************************
Comment 60 Andrey Bondrov 2017-11-29 09:51:44 MSK
Plasma 5 R10 RC3 ISOs (with one more kio fix - folder creation on the desktop now works):

32: https://abf.rosalinux.ru/platforms/rosa2016.1/products/182/product_build_lists/20537
64: https://abf.rosalinux.ru/platforms/rosa2016.1/products/182/product_build_lists/20538
Comment 63 Andrey Ponomarenko 2017-12-02 20:26:07 MSK
Is it possible to include new hw-probe to R10?
Comment 64 Vladimir Potapov 2017-12-04 16:42:16 MSK
(In reply to comment #63)
> Is it possible to include new hw-probe to R10?
No, the release today.